﻿local CustomDecoration = foundation.createMod();

if (foundation.getGameVersion == nil or version.cmp(foundation.getGameVersion(), "1.8") < 0) then
    CustomDecoration:log("CustomDecoration: game version < 1.8")
    return
end
_scriptFolder = "scripts1.9"
if (version.cmp(foundation.getGameVersion(), "1.9") < 0) then
    _scriptFolder = "scripts1.8"
end
CustomDecoration:msgBox("CustomDecoration: game version" .. foundation.getGameVersion())

-- common functions
-- As the global functions are not transmit yet from dependencies, this file has to be duplicated in each mod
-- Set the mod major versions
StoneGateSetPrefix = "STONE_GATE_V8"
StoneGateSetPrefixWhiteFloor = "STONE_GATE_V8_WF"
CommonWindowPrefix = "CUSTOM_WINDOW_V3"
CommonDoorPrefix = "CUSTOM_DOOR_V3"
CommonFlagPrefix = "CUSTOM_FLAG_V3"
AssemblagePrefix = "ASSEMBLAGE_V1"

-- common functions
-- As the global functions are not transmit yet from dependencies, this file has to be duplicated in each mod
CustomDecoration:dofile(_scriptFolder .. "/common.lua", StoneGateSetPrefix, CommonWindowPrefix, StoneGateSetPrefixWhiteFloor, CommonDoorPrefix, CommonFlagPrefix, AssemblagePrefix )

_NoSandbox = difficultyLevel(CustomDecoration, "CustomDecoration")

CustomDecoration:dofile(_scriptFolder .. "/monument.lua")
